Start a snapshot (bootstrap or rebase)
POST
/v1/pouches/{pouchId}/snapshots
const url = 'https://app.skillpouch.net/v1/pouches/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/snapshots';const options = {method: 'POST'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://app.skillpouch.net/v1/pouches/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/snapshotsParameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”pouchId
required
string format: uuid
Responses
Section titled “Responses”Default Response
Media typeapplication/json
object
ok
required
boolean
data
required
object
snapshot_id
required
string format: uuid
epoch
required
string format: uuid
seq
required
integer
expires_at
required
string format: date-time
meta
required
object
request_id
required
string
next_cursor
string | null
Example
{ "ok": true}